GroebnerStrategy.h File Reference
`#include "pairs.h"`
`#include "cache_manager.h"`
`#include "PairManagerFacade.h"`
`#include "ReductionStrategy.h"`
`#include "groebner_defs.h"`
`#include "PolyEntryPtrLmLess.h"`
`#include "GroebnerOptions.h"`
`#include <vector>`
`#include <boost/shared_ptr.hpp>`
`#include <polybori/routines/pbori_algo.h>`

Go to the source code of this file.

## Classes

class | polybori::groebner::GroebnerStrategy
| This class defines GroebnerStrategy. More...

## Namespaces

| polybori
| polybori::groebner

## Constant Groups

| polybori
| polybori::groebner

## Detailed Description

Author
  Michael Brickenstein

Date
  2011-06-29

This file includes the definition of the class `GroebnerStrategy`.

Copyright:
  (c) 2006-2010 by The PolyBoRi Team